Subject: Bug:#130015 Re: cvs short commands not consisten

From: Tollef Fog Heen <[email-masked]>
Date: 27 Feb 2002 04:48:25 +0100

tags 130015 wontfix
thanks

>From main.c:

       One thing that some systems do is to recognize any unique
       abbreviation, for example "annotat" "annota", etc., for
       "annotate".  The problem with this is that scripts and user
       habits will expect a certain abbreviation to be unique, and in
       a future release of CVS it may not be.  So it is better to
       accept only an explicit list of abbreviations and plan on
       supporting them in the future as well as now.

I agree with the author -- this might turn into a very mess.  I could
take it upstream and ask whether they still think this is valid
reasoning, but I don't want to diverge from upstream in this.

-- 
Tollef Fog Heen
Unix _IS_ user friendly... It's just selective about who its friends are.